<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modalBasicTitle"
    [innerText]="messages.SECURE_MAIL_STATUS_TITLE"></h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body p-4">
  <div class="w-100 d-flex justify-content-between mb-2">
    <span class="me-2">
      {{commonMessages.STATE}} : {{currentStep.externalState | ExternalState}}
    </span>

    <button
      ls-button
      [text]="messages.REFRESH"
      [icon]="refreshIcon"
      [processing]="isProcessing"
      (click)="findDocument()">
    </button>
  </div>

  <table
    *ngIf="pastellDocument"
    aria-labelledby="modalBasicTitle"
    id="userTenantList"
    class="bg-white table table-striped table-borderless border shadow-sm">
    <thead class="border">
      <tr>
        <th scope="col" class="th-sm">
          {{commonMessages.STATE}}
        </th>
        <th scope="col" class="th-sm">
          {{commonMessages.MAIL}}
        </th>
        <th scope="col" class="th-sm">
          {{messages.CONFIRMATION_DATE}}
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let mailInfo of pastellDocument.emailInfos">
        <td>
          <fa-icon
            *ngIf="!mailInfo.read"
            [icon]="eyeSlashIcon">
          </fa-icon>
          <fa-icon
            *ngIf="mailInfo.read"
            [icon]="eyeIcon">
          </fa-icon>
        </td>
        <td>
          {{mailInfo.email}}
        </td>
        <td>
          {{mailInfo.readDate | date}}
        </td>
      </tr>
    </tbody>
  </table>
</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    [text]="commonMessages.CLOSE"
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)"
    [icon]="commonIcons.CLOSE_ICON">
  </button>
</div>
